#include <sensor AHT10.h>

#FUSES NOMCLR

#use i2c(Master, Fast, sda=PIN_B0, scl=PIN_B1, force_sw, stream=AHT10_stream)
#use i2c(Master, Fast, sda=PIN_B0, scl=PIN_B1, force_sw, stream=OLED_stream)

#define SH1106_128_64 //DEFINE EL MODELO DE LA PANTALLA OLED
//#define SSD1306_128_64

#include "OLED_I2C.c"

#include "AHT10.c"

void main()
{
   OLED_Begin();
   OLED_ClearDisplay();

   AHT10_Begin();
   
   float hum=0, temp=0;
   char texto[20];
   while(TRUE)
   {
      AHT10_Read(&hum, &temp);

      sprintf(texto,"HUM %f %c ",hum ,'%');
      OLED_DrawText(1,1,texto,1);

      sprintf(texto,"TEMP %f C ",temp);
      OLED_DrawText(1,10,texto,1);

      OLED_Display();//Muestra la informacion en la pantalla
   }

}
